Bug 41807 - Xamarin Studio 6.0.0 hangs on Build/Clean commands
Summary: Xamarin Studio 6.0.0 hangs on Build/Clean commands
Status: NEEDINFO
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Project Model (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Mac OS
: Highest major
Target Milestone: Future Cycle (TBD)
Assignee: Lluis Sanchez
URL: https://github.com/kurtcz/mariasek.git
: 41732 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-06-14 17:07 UTC by tomas_nemec
Modified: 2017-12-09 18:00 UTC (History)
14 users (show)

Tags: potentialC8SR2
Is this bug a regression?: ---
Last known good build:


Attachments
Screen shot illustrating the stage where XS gets stuck (466.80 KB, image/png)
2016-06-14 17:07 UTC, tomas_nemec
Details
Logs (6.45 KB, application/zip)
2016-06-14 22:01 UTC, tomas_nemec
Details
Logs taken using kill -QUIT (8.84 KB, application/zip)
2016-06-15 21:50 UTC, tomas_nemec
Details
Added 2 more logs with changed settings (6.87 KB, application/zip)
2016-06-16 18:24 UTC, tomas_nemec
Details
log file for a build hang on my macbook (7.95 KB, text/plain)
2016-07-02 17:47 UTC, 999komi
Details
log from Xamarin Studio kill command (90.06 KB, text/plain)
2016-07-26 21:14 UTC, Ben
Details
userprefs file (2.55 KB, application/octet-stream)
2016-08-04 21:26 UTC, Ben
Details
Recording of lock up in the Cleaning Solution process (943.34 KB, video/mp4)
2017-11-08 02:11 UTC, Gary
Details
Activity Monitor screen shot (49.47 KB, image/png)
2017-11-08 02:22 UTC, Gary
Details
Activity Monitor Sample Log File (614.44 KB, text/plain)
2017-11-08 02:27 UTC, Gary
Details
Activity Monitor Memory tab screen shot after force quit (41.18 KB, image/png)
2017-11-08 02:29 UTC, Gary
Details
Activity Monitor Statistics tab screen shot after force quit (50.07 KB, image/png)
2017-11-08 02:29 UTC, Gary
Details
Recording of lock up in the Building process (2.54 MB, video/mp4)
2017-11-08 06:49 UTC, Gary
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 41807 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
NEEDINFO

Description tomas_nemec 2016-06-14 17:07:42 UTC
Created attachment 16320 [details]
Screen shot illustrating the stage where XS gets stuck

After the upgrade to Xamarin Studio Mac 6.0.0 I am no longer able to Build/Clean my solution. Every time I try XS becomes unresponsive and nothing happens. Reboot of the system did not help. Neither did reinstall (I have used a script that purged all parts of the old instance of XS) nor did re-cloning of my source code from the git repo.

The screenshot attached illustrates the build being stuck. There are many people in the forums reporting the same issue.
Is there a way I can downgrade back to 5.5? I never had any issues with that version :-/
Comment 1 Lluis Sanchez 2016-06-14 17:55:40 UTC
Hi,

Can you please attach the IDE log file? You can find it using the Help -> Open Log Directory option.

Also, it would be useful if you could privately share your project, so that I can try to reproduce the issue.
Comment 2 tomas_nemec 2016-06-14 22:01:14 UTC
Created attachment 16330 [details]
Logs

Please let me know if the logs contain what you expect
Comment 3 tomas_nemec 2016-06-14 22:03:17 UTC
The project can be cloned from https://github.com/kurtcz/mariasek.git
Comment 4 Lluis Sanchez 2016-06-15 20:08:14 UTC
I can't reproduce the problem, XS cleans and builds this project without problem for me.

Can you please attach the detailed version information from the about dialog?

Also, how does Xamarin Studio hang? does the build animation in the toolbar continue? or is the UI completely frozen?
Comment 5 tomas_nemec 2016-06-15 20:24:35 UTC
6.0 build 5174
The box animation continues. UI is responsive, I can even quit XS but I am unable to terminate the build/clean action once it starts. The animation continues indefinitely with no progress.

Similar behaviour has been confirmed by other users on my thread in forums: https://forums.xamarin.com/discussion/comment/203239

Is there a way to downgrade?
Comment 7 Kyle White 2016-06-15 21:00:40 UTC
Hi, 

I am also unable to reproduce with your solution. 

Can you please provide us the information from Xamarin Studio > About > Show details ? This has comprehensive information about your environment, it's quite a few lines long.

Additionally, if you could get the Xamarin Studio PID (ps -lA | grep XamarinStudio) and do a "kill -QUIT {pid}" from terminal. This will instruct XS to dump extra information to the log file which you can then please provide to us (XS won't be killed, it just dumps information to the log). 

Thanks!
Comment 8 Kyle White 2016-06-15 21:02:04 UTC
One more thing, please do the "kill -QUIT {pid}" while XS is stuck in the hang.
Comment 9 tomas_nemec 2016-06-15 21:50:11 UTC
Created attachment 16350 [details]
Logs taken using kill -QUIT

Please find the logs attached.

I am not sure I was doing the right thing though. Can you please confirm?

Kurts-MBP:mariasek kurt$ ps -ef | grep Xamarin
  501  2123     1   0 12:13am ??         1:26.34 /Applications/Xamarin Studio.app/Contents/MacOS/XamarinStudio
  501  2489  2123   0  1:29am ??         0:03.01 /Library/Frameworks/Mono.framework/Versions/4.4.0/bin/mono /Applications/Xamarin Studio.app/Contents/Resources/lib/monodevelop/bin/MSBuild/4.0/MonoDevelop.Projects.Formats.MSBuild.exe
  501  2573   572   0  1:39am ttys000    0:00.00 grep Xamarin

So I decided that 2123 is the process you are interested in but
kill -QUIT 2123 did not generate any NEW log files in the folder (tried running it several times) ... however there were some log files with a recent timestamp, I have included them in the zip file.
Comment 10 tomas_nemec 2016-06-15 22:02:14 UTC
System info:

=== Xamarin Studio Community ===

Version 6.0 (build 5174)
Installation UUID: 5d70c7fd-769b-4fb2-9997-71ba774c3b58
Runtime:
	Mono 4.4.0 (mono-4.4.0-branch-c7-baseline/5995f74) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 404000182

=== Xamarin.Profiler ===

Not Installed

=== Xamarin.Android ===

Version: 6.1.0.71 (Xamarin Studio Community)
Android SDK: /Users/kurt/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.3   (API level 10)
		4.0.3 (API level 15)
		4.2   (API level 17)
		4.4   (API level 19)
		5.0   (API level 21)
		6.0   (API level 23)

SDK Tools Version: 25.1.2
SDK Platform Tools Version: 24.0.0
SDK Build Tools Version: 23.0.2

Java SDK: /usr
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Android Player ===

Version: 0.6.5
Location: /Applications/Xamarin Android Player.app

=== Apple Developer Tools ===

Xcode 7.3.1 (10188.1)
Build 7D1014

=== Xamarin.iOS ===

Version: 9.8.0.323 (Xamarin Studio Community)
Hash: 39ebb77
Branch: cycle7
Build date: 2016-06-01 21:23:15-0400

=== Xamarin.Mac ===

Version: 2.8.0.323 (Xamarin Studio Community)

=== Build Information ===

Release ID: 600005174
Git revision: 694a75f040b7f2309bc43d4f78a3a6572ca898bf
Build date: 2016-06-01 17:28:08-04
Xamarin addins: 33f406fa2dcf214012c78cb846585f062b2e1d24
Build lane: monodevelop-lion-cycle7-baseline

=== Operating System ===

Mac OS X 10.11.4
Darwin Kurts-MBP 15.4.0 Darwin Kernel Version 15.4.0
    Fri Feb 26 22:08:05 PST 2016
    root:xnu-3248.40.184~3/RELEASE_X86_64 x86_64

=== Enabled user installed addins ===

MonoGame Addin 3.5.1.1679
Comment 11 tomas_nemec 2016-06-15 22:04:03 UTC
I guess I found the exception you were looking for in the log files (this exception is from another log I generated afterwards, but it looks the same as the one in the log I attached previously):

"Threadpool worker"ERROR [2016-06-16 01:52:12Z]: Current check for updates task error.
System.AggregateException: One or more errors occurred. ---> System.InvalidOperationException: Could not connect to the feed specified at 'https://www.nuget.org/api/v2/'. Please verify that the package source (located in the Package Manager Settings) is valid and ensure your network connectivity. ---> System.Net.WebException: The request timed out
  at System.Net.HttpWebRequest.EndGetResponse (IAsyncResult asyncResult) [0x00065] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/System/System.Net/HttpWebRequest.cs:1007 
  at System.Net.HttpWebRequest.GetResponse () [0x0000e] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/System/System.Net/HttpWebRequest.cs:1019 
  at System.Data.Services.Client.QueryResult.Execute () [0x00002] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/System.Data.Services.Client/Client/System/Data/Services/Client/QueryResult.cs:175 
  --- End of inner exception stack trace ---
  at NuGet.DataServiceQueryWrapper`1[T].Execute[TResult] (System.Func`1 action) <0x121d9b750 + 0x001f2> in <filename unknown>:0 
  at NuGet.DataServiceQueryWrapper`1+<GetAll>d__7[T].MoveNext () <0x121d9adf0 + 0x0013e> in <filename unknown>:0 
  at NuGet.CollectionExtensions.AddRange[T] (ICollection`1 collection, IEnumerable`1 items) <0x120a8f8c0 + 0x000ba> in <filename unknown>:0 
  at NuGet.AggregateRepository.GetUpdates (IEnumerable`1 packages, Boolean includePrerelease, Boolean includeAllVersions, IEnumerable`1 targetFrameworks, IEnumerable`1 versionConstraints) <0x1190a0000 + 0x00565> in <filename unknown>:0 
  at NuGet.PackageRepositoryExtensions.GetUpdates (IPackageRepository repository, IEnumerable`1 packages, Boolean includePrerelease, Boolean includeAllVersions, IEnumerable`1 targetFrameworks, IEnumerable`1 versionConstraints) <0x11909fa40 + 0x00198> in <filename unknown>:0 
  at MonoDevelop.PackageManagement.UpdatedPackages.GetUpdatedPackages (IEnumerable`1 localPackages, Boolean includePrelease) [0x00013] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackages.cs:101 
  at MonoDevelop.PackageManagement.UpdatedPackages.GetUpdatedPackages (Boolean includePrerelease) [0x0000f] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackages.cs:79 
  at MonoDevelop.PackageManagement.UpdatedPackagesInSolution.GetUpdatedPackages (IPackageManagementProject project, IEnumerable`1 packageReferences, Boolean includePrerelease, System.Func`2 filter) [0x00032] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackagesInSolution.cs:216 
  at MonoDevelop.PackageManagement.UpdatedPackagesInSolution.GetUpdatedStablePackages (IPackageManagementProject project, IEnumerable`1 packageReferences) [0x00000] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackagesInSolution.cs:190 
  at MonoDevelop.PackageManagement.UpdatedPackagesInSolution.CheckForUpdates (IPackageManagementProject project) [0x00024] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackagesInSolution.cs:178 
  at MonoDevelop.PackageManagement.CheckForUpdatesTask.CheckForUpdates () [0x00019] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/CheckForUpdatesTask.cs:54 
  at MonoDevelop.PackageManagement.CheckForUpdatesTaskRunner.CheckForUpdates (MonoDevelop.PackageManagement.CheckForUpdatesTask currentTask) [0x00000] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/CheckForUpdatesTaskRunner.cs:91 
  at MonoDevelop.PackageManagement.CheckForUpdatesTaskRunner+<CreateCheckForUpdatesTask>c__AnonStorey0.<>m__0 () [0x00000] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/CheckForUpdatesTaskRunner.cs:68 
  at System.Threading.Tasks.Task`1[TResult].InnerInvoke () [0x00012] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/Tasks/Future.cs:680 
  at System.Threading.Tasks.Task.Execute () [0x00016] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/Tasks/Task.cs:2502 
  --- End of inner exception stack trace ---
---> (Inner Exception #0) System.InvalidOperationException: Could not connect to the feed specified at 'https://www.nuget.org/api/v2/'. Please verify that the package source (located in the Package Manager Settings) is valid and ensure your network connectivity. ---> System.Net.WebException: The request timed out
  at System.Net.HttpWebRequest.EndGetResponse (IAsyncResult asyncResult) [0x00065] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/System/System.Net/HttpWebRequest.cs:1007 
  at System.Net.HttpWebRequest.GetResponse () [0x0000e] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/System/System.Net/HttpWebRequest.cs:1019 
  at System.Data.Services.Client.QueryResult.Execute () [0x00002] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/mcs/class/System.Data.Services.Client/Client/System/Data/Services/Client/QueryResult.cs:175 
  --- End of inner exception stack trace ---
  at NuGet.DataServiceQueryWrapper`1[T].Execute[TResult] (System.Func`1 action) <0x121d9b750 + 0x001f2> in <filename unknown>:0 
  at NuGet.DataServiceQueryWrapper`1+<GetAll>d__7[T].MoveNext () <0x121d9adf0 + 0x0013e> in <filename unknown>:0 
  at NuGet.CollectionExtensions.AddRange[T] (ICollection`1 collection, IEnumerable`1 items) <0x120a8f8c0 + 0x000ba> in <filename unknown>:0 
  at NuGet.AggregateRepository.GetUpdates (IEnumerable`1 packages, Boolean includePrerelease, Boolean includeAllVersions, IEnumerable`1 targetFrameworks, IEnumerable`1 versionConstraints) <0x1190a0000 + 0x00565> in <filename unknown>:0 
  at NuGet.PackageRepositoryExtensions.GetUpdates (IPackageRepository repository, IEnumerable`1 packages, Boolean includePrerelease, Boolean includeAllVersions, IEnumerable`1 targetFrameworks, IEnumerable`1 versionConstraints) <0x11909fa40 + 0x00198> in <filename unknown>:0 
  at MonoDevelop.PackageManagement.UpdatedPackages.GetUpdatedPackages (IEnumerable`1 localPackages, Boolean includePrelease) [0x00013] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackages.cs:101 
  at MonoDevelop.PackageManagement.UpdatedPackages.GetUpdatedPackages (Boolean includePrerelease) [0x0000f] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackages.cs:79 
  at MonoDevelop.PackageManagement.UpdatedPackagesInSolution.GetUpdatedPackages (IPackageManagementProject project, IEnumerable`1 packageReferences, Boolean includePrerelease, System.Func`2 filter) [0x00032] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackagesInSolution.cs:216 
  at MonoDevelop.PackageManagement.UpdatedPackagesInSolution.GetUpdatedStablePackages (IPackageManagementProject project, IEnumerable`1 packageReferences) [0x00000] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackagesInSolution.cs:190 
  at MonoDevelop.PackageManagement.UpdatedPackagesInSolution.CheckForUpdates (IPackageManagementProject project) [0x00024] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/UpdatedPackagesInSolution.cs:178 
  at MonoDevelop.PackageManagement.CheckForUpdatesTask.CheckForUpdates () [0x00019] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/CheckForUpdatesTask.cs:54 
  at MonoDevelop.PackageManagement.CheckForUpdatesTaskRunner.CheckForUpdates (MonoDevelop.PackageManagement.CheckForUpdatesTask currentTask) [0x00000] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/CheckForUpdatesTaskRunner.cs:91 
  at MonoDevelop.PackageManagement.CheckForUpdatesTaskRunner+<CreateCheckForUpdatesTask>c__AnonStorey0.<>m__0 () [0x00000] in /Users/builder/data/lanes/3342/694a75f0/source/monodevelop/main/src/addins/MonoDevelop.PackageManagement/MonoDevelop.PackageManagement/CheckForUpdatesTaskRunner.cs:68 
  at System.Threading.Tasks.Task`1[TResult].InnerInvoke () [0x00012] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/Tasks/Future.cs:680 
  at System.Threading.Tasks.Task.Execute () [0x00016] in /private/tmp/source-mono-4.4.0-c7-baseline/bockbuild-mono-4.4.0-c7-baseline/profiles/mono-mac-xamarin/build-root/mono-x86/external/referencesource/mscorlib/system/threading/Tasks/Task.cs:2502 <---
Comment 12 tomas_nemec 2016-06-15 22:17:33 UTC
I tried to access https://www.nuget.org/api/v2/ from my web browser - no issues there. See the response below:

<service xml:base="https://www.nuget.org/api/v2"><workspace><atom:title type="text">Default</atom:title><collection href="Packages"><atom:title type="text">Packages</atom:title></collection></workspace></service>
Comment 13 tomas_nemec 2016-06-15 22:42:32 UTC
Could be related to https://bugzilla.xamarin.com/show_bug.cgi?id=7200 ? Maybe the same issue all over again?
Comment 14 Lluis Sanchez 2016-06-16 10:01:37 UTC
Can you please try this? Open the Xamarin Studio preferences, Build section, uncheck the option "Enable parallel build of projects". Does it make any difference?
Comment 15 Lluis Sanchez 2016-06-16 10:21:32 UTC
Another question, do you have any device connected to the mac (either through USB or wifi) when this happens?
Comment 16 tomas_nemec 2016-06-16 18:24:28 UTC
Created attachment 16367 [details]
Added 2 more logs with changed settings

1st log file with disabled parallel builds and disabled "automatically restore packages when opening a solition" and  "check for update when opening a solution".

2nd log file with enabled parallel builds and disabled the other two settings.
The original exception is gone (might have been a red herring?) but the behaviour is the same as before.

If everything else fails I could let you remotely debug on my machine so that you can see for yourself. Let me know
Comment 17 tomas_nemec 2016-06-16 18:28:01 UTC
It does not matter whether I have something connected via USB or whether wifi is on or off.
Comment 19 tomas_nemec 2016-06-25 13:58:10 UTC
If we agree upfront I can do any day after 16:00 (6pm) CEST (Prague time). Please let me know what time suits you and whether I need to set up something beforehand to get it working from my side
Comment 20 tomas_nemec 2016-06-25 13:58:44 UTC
18:00 (6pm) obviously
Comment 22 999komi 2016-07-02 17:47:58 UTC
Created attachment 16559 [details]
log file for a build hang on my macbook

I opened up my Xamarin.Mac project and hit build. It hung. This has happened repeatedly. Log attached.
Comment 23 Lluis Sanchez 2016-07-04 13:07:17 UTC
Could you please check if this build fixes the problem?

https://dl.dropboxusercontent.com/u/492982/XamarinStudio-6.0.2.30.dmg
Comment 24 Lluis Sanchez 2016-07-04 16:28:11 UTC
*** Bug 41732 has been marked as a duplicate of this bug. ***
Comment 26 Ben 2016-07-26 21:13:47 UTC
I've been having exactly the same problem since updating. I just installed the beta as well to try that as suggested in the last comment.

I've attached a new log from running the kill command and the About details will follow..

Thanks for your help. Let me know if there's something else I can do. I'm going back to Studio 5 in the meantime.

--
Xamarin Studio Business
Version 6.0.2 (build 69)
Installation UUID: 0cca95e5-0fb4-4e1d-bc0d-077bf85b8cbf
Runtime:
	Mono 4.4.2 (mono-4.4.0-branch-c7sr1/4dff7a3) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 404020004

Xamarin.Profiler
Version: 0.32.0
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

Xamarin.Android
Version: 6.1.2.16 (Xamarin Business)
Android SDK: /work/Xamarin/android-sdk-mac_x86
	Supported Android versions:
		2.3   (API level 10)
		4.0.3 (API level 15)
		4.4   (API level 19)
		6.0   (API level 23)

SDK Tools Version: 24.4.1
SDK Platform Tools Version: 23.0.1
SDK Build Tools Version: 23.0.1

Java SDK: /usr
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

Xamarin Android Player
Version: 0.6.5
Location: /Applications/Xamarin Android Player.app

Apple Developer Tools
Xcode 7.2 (9548)
Build 7C68

Xamarin.iOS
Version: 9.8.2.16 (Xamarin Business)
Hash: db3d76f
Branch: cycle7-sr1
Build date: 2016-07-18 15:40:25-0400

Xamarin.Mac
Version: 2.8.2.16 (Xamarin Business)

Build Information
Release ID: 600020069
Git revision: 9e0e96423ed474edf179c070b64ad03634012766
Build date: 2016-07-15 16:53:35-04
Xamarin addins: affe3f734f88d4f1ca34083ae3dde40dfc53d07a
Build lane: monodevelop-lion-cycle7-sr1

Operating System
Mac OS X 10.10.5
Darwin iMac-4.local 14.5.0 Darwin Kernel Version 14.5.0
    Tue Sep  1 21:23:09 PDT 2015
    root:xnu-2782.50.1~1/RELEASE_X86_64 x86_64
Comment 27 Ben 2016-07-26 21:14:52 UTC
Created attachment 16789 [details]
log from Xamarin Studio kill command
Comment 28 Ben 2016-07-26 21:18:57 UTC
Sorry, I should have said that this is happening when I'm trying to clean all a solution. The UI is responsive. The bar at the top shows 'Cleaning Solution:' and the icon is spinning. If I try to stop the clean, nothing happens. I've left it running for 15-20 mins with no change. I can quit normally. So very similar to the other reports. Thanks.
Comment 29 Ben 2016-07-26 21:28:01 UTC
Last comment for now. Given it seems to have something to do with NuGet Packages, I tried just adding a package from inside Xamarin Studio. I couldn't connect to the default NuGet Package server or our custom one. It just loops infinitely 'Loading package list'. I can access both those addresses in a browser though. Thanks.
Comment 30 Danny Campbell 2016-07-26 22:39:47 UTC
FYI Sometimes when I get into this state, deleting the .userprefs file will fix it.  It seems like when I have too many tabs open in Xamarin Studio, sometimes it has trouble making any modifications to the solution.
Comment 31 Ben 2016-07-27 00:05:36 UTC
Would you believe that that fixed my issue? Thank you!

(just in case anyone sees this and is new to Xamarin as well, it's deleting the YourSolution.userprefs file)

Also, in case it's relevant, I do now have Xamarin Studio 5 installed on my machine as well.
Comment 32 Danny Campbell 2016-07-27 03:22:19 UTC
Seems like we have found a cause for this.
I only discovered it by checking out a clean copy of my solution from source control, finding that it would build and clean just fine, then doing a full-directory compare of my solution and the working one.  The only difference was the .userprefs file.
Comment 33 Danny Campbell 2016-07-27 03:32:52 UTC
I have noticed other symptoms of this: closing tabs takes forever (guessing because it's working too hard writing to the userprefs file?), and making any changes to solution or project settings or adding/removing files, it gets stuck with the message 'saving...' in XS's main message box.  Deleting .userprefs fixes these as well.
Comment 34 Lluis Sanchez 2016-07-27 09:02:51 UTC
Hi Danny, can you share the .userprefs file that is causing the trouble?
Comment 35 Danny Campbell 2016-07-27 17:29:53 UTC
I don't still have a copy of it.  However, this has happened a few times and it always seems to be when I have 30+ tabs open.
Comment 36 tomas_nemec 2016-08-01 19:33:48 UTC
Hi Lluis,
sorry for late reply - I was away on holiday and did not get a chance to respond earlier. I am happy to confirm, that my Xamarin 6 now works again too! Not sure what caused it though. I was using Xamarin 5 until now and will keep both versions installed just in case ...
Comment 37 Ben 2016-08-04 21:25:39 UTC
It just happened to me again. Removing the .userprefs file fixed it again. I've attached the .userprefs file that seemed to be causing the issue. Thanks.
Comment 38 Ben 2016-08-04 21:26:51 UTC
Created attachment 16906 [details]
userprefs file

Removing this file allowed me to clean / build again.
Comment 39 Lluis Sanchez 2017-10-11 11:12:41 UTC
Is this a problem anymore?. We fixed several related issues since the last comment.
Comment 40 Gary 2017-11-07 09:08:29 UTC
I am having a similar issue with the latest Xamarin Studio but it's intermittent, not every time.  This is a new issue that I didn't see until about the past week.

I have had Xamarin Studio hang about 10 times when performing the "Clean Solution" command, which it usually completes in about 3 seconds but now can go on for minutes until I Force Quit Xamarin Studio and send a crash report to Apple. Clicking the red square button to the right of the Cleaning Solution.... message does not cancel the operation.

I have also had Xamarin Studio similarly hang when I am doing a build, which is also new within about the past week.  This is an intermittent symptom and most builds compile with no problems.  When it hangs in the build process, I don't remember if I have tried to cancel via the red square button but I have clicked the regular Stop button but that hasn't stopped the build. I have tried clicking Close Solution and it asks if I want to save my changes. I say yes to that but my changes are never saved because the IDE is locked up doing the build.  I have to remember to save my edits before doing a build in case it hangs.  When it hangs in the build process, I use the Activity Monitor to Force Quit Xamarin Studio.


=== Xamarin Studio Community ===

Version 6.3 (build 864)
Installation UUID: babd5947-50bf-4615-a075-ff442f7fd352
Runtime:
	Mono 5.4.1.6 (2017-06/1f4613aa1ac) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 504010006

=== NuGet ===

Version: 3.5.0.0

=== Xamarin.Profiler ===

Version: 1.5.6
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Xamarin.Android ===

Version: 8.0.2.1 (Xamarin Studio Community)
Android SDK: /Users/gem/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		6.0 (API level 23)

SDK Tools Version: 25.2.5
SDK Platform Tools Version: 25.0.5
SDK Build Tools Version: 25.0.3

Java SDK: /usr
java version "1.8.0_101"
Java(TM) SE Runtime Environment (build 1.8.0_101-b13)
Java HotSpot(TM) 64-Bit Server VM (build 25.101-b13, mixed mode)

Android Designer EPL code available here:
https://github.com/xamarin/AndroidDesigner.EPL

=== Xamarin Inspector ===

Version: 1.3.2
Hash: 461f09a
Branch: 1.3-release
Build date: Tue, 03 Oct 2017 18:26:57 GMT
Client compatibility: 1

=== Apple Developer Tools ===

Xcode 8.3.3 (12175.1)
Build 8E3004b

=== Xamarin.iOS ===

Version: 11.2.1.0 (Xamarin Studio Community)
Hash: 12e80e01
Branch: d15-4-xi
Build date: 2017-10-13 12:03:42-0400

=== Xamarin.Mac ===

Version: 3.8.1.0 (Xamarin Studio Community)

=== Build Information ===

Release ID: 603000864
Git revision: 6c2f6737278ccc3e81e12276d49c0d92f975f189
Build date: 2017-04-24 11:26:01-04
Xamarin addins: d8d46e577d8507c35260ce9d73df3c33415bb214
Build lane: monodevelop-lion-d15-1

=== Operating System ===

Mac OS X 10.12.6
Darwin iMac.local 16.7.0 Darwin Kernel Version 16.7.0
    Wed Oct  4 00:17:00 PDT 2017
    root:xnu-3789.71.6~1/RELEASE_X86_64 x86_64
Comment 41 Gary 2017-11-08 02:11:49 UTC
Created attachment 25593 [details]
Recording of lock up in the Cleaning Solution process

I told SnagIt to capture the cursor but it didn't. I clicked several times on the red cancel button at the beginning and the end of the video and a few times on the stop operation button to the left in the middle.
Comment 42 Gary 2017-11-08 02:22:53 UTC
Created attachment 25594 [details]
Activity Monitor screen shot
Comment 43 Gary 2017-11-08 02:27:22 UTC
Created attachment 25595 [details]
Activity Monitor Sample Log File
Comment 44 Gary 2017-11-08 02:29:06 UTC
Created attachment 25596 [details]
Activity Monitor Memory tab screen shot after force quit
Comment 45 Gary 2017-11-08 02:29:53 UTC
Created attachment 25597 [details]
Activity Monitor Statistics tab screen shot after force quit
Comment 46 Gary 2017-11-08 06:49:25 UTC
Created attachment 25600 [details]
Recording of lock up in the Building process
Comment 47 Lluis Sanchez 2017-11-08 09:15:32 UTC
Xamarin Studio is not supported anymore. Please try with Visual Studio for Mac.
Comment 48 Gary 2017-11-08 19:32:06 UTC
Good thing you told me before I wasted two hours recording videos, taking screen shots, and sending attachments.

Your comment from a month ago (October 11th) gave no indication that this bug should be closed. You asked for current feedback from customers and that's what I provided.

How about adding a bold red label at the Home page of bugzilla and a bold red notification on the Welcome page when the user opens Xamarin Studio.